Skip to main content
GET
List all wires V2
See Errors for the common errors every v2 endpoint can return.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

account_number_id
string

Returns wires associated with this account_number_id.

Pattern: ^account_number_\w+$
core_transaction_id
string

Returns wires associated with this core_transaction_id.

Pattern: ^core_transaction_.+$
end_to_end_identification
string

Returns wires associated with this end_to_end_identification.

Maximum string length: 35
direction
enum<string>

Returns wires with this direction. Who is initiating the transaction.

outgoing: You are sending a wire transaction to a counterparty. incoming: You are receiving an wire transaction from a counterparty.

Available options:
outgoing,
incoming
Example:

"incoming"

status
enum<string>

Returns wires with this status. The current status of the wire object.

Available options:
created,
scheduled,
processing,
posted,
under_review,
rejected,
canceled,
cancel_pending
Example:

"created"

corridor_type
enum<string>

Returns wires with this corridor_type. Indicates whether the wire is domestic or international based on the banks included in the wire message. A wire is international if any bank in the payment chain is located outside the U.S.; otherwise, it is classified as domestic.

Available options:
domestic,
international
Example:

"domestic"

return_request_status
enum<string>

Returns wires that have a return request in this status. Current status of the return request.

  • For incoming return requests: response_needed, accepted, rejected.
  • For outgoing return requests: pending, accepted, rejected.

accepted and rejected are terminal.

Available options:
response_needed,
pending,
accepted,
rejected
created_at
object

A set of filters on the list using the object’s field created_at.

limit
integer
default:10

Maximum number of objects to be returned.

Required range: 1 <= x <= 100
starting_after
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^wire_\w+$
ending_before
string

A cursor for use in pagination; this is an ID that defines your place in the list.

Pattern: ^wire_\w+$

Response

A list of wire objects.

objects
object[]
required
has_more
boolean
required

Indicates whether more results are available.